{
  "userName": "",
  "permissionMode": "yolo",
  "model": "haiku",
  "thinkingBudget": "off",
  "effortLevel": "high",
  "serviceTier": "default",
  "enableAutoTitleGeneration": true,
  "titleGenerationModel": "",
  "excludedTags": [],
  "mediaFolder": "",
  "systemPrompt": "",
  "persistentExternalContextPaths": [],
  "sharedEnvironmentVariables": "",
  "envSnippets": [],
  "customContextLimits": {},
  "keyboardNavigation": {
    "scrollUpKey": "w",
    "scrollDownKey": "s",
    "focusInputKey": "i"
  },
  "locale": "zh-CN",
  "providerConfigs": {
    "claude": {
      "safeMode": "acceptEdits",
      "cliPath": "",
      "cliPathsByHost": {
        "Yiukais-MacBook-Pro.local": "/Users/yiukai/.local/bin/claude"
      },
      "loadUserSettings": true,
      "enableChrome": false,
      "enableBangBash": false,
      "enableOpus1M": false,
      "enableSonnet1M": false,
      "customModels": "",
      "lastModel": "haiku",
      "environmentVariables": "",
      "environmentHash": ""
    },
    "codex": {
      "enabled": false,
      "safeMode": "workspace-write",
      "cliPath": "",
      "cliPathsByHost": {},
      "customModels": "",
      "reasoningSummary": "detailed",
      "environmentVariables": "",
      "environmentHash": "",
      "installationMethodsByHost": {
        "Yiukais-MacBook-Pro.local": "native-windows"
      },
      "wslDistroOverridesByHost": {}
    },
    "opencode": {
      "cliPath": "",
      "cliPathsByHost": {
        "Yiukais-MacBook-Pro.local": "/usr/local/bin/opencode"
      },
      "enabled": true,
      "environmentHash": "",
      "environmentVariables": "OPENCODE_ENABLE_EXA=1",
      "modelAliases": {},
      "preferredThinkingByModel": {},
      "selectedMode": "claudian-yolo",
      "visibleModels": [
        "kimi-for-coding/k2p6",
        "google/antigravity-gemini-3-pro"
      ]
    }
  },
  "settingsProvider": "claude",
  "savedProviderModel": {
    "claude": "haiku",
    "opencode": "opencode:kimi-for-coding/k2p6"
  },
  "savedProviderEffort": {
    "claude": "high",
    "opencode": "default"
  },
  "savedProviderServiceTier": {},
  "savedProviderThinkingBudget": {
    "claude": "off",
    "opencode": "off"
  },
  "savedProviderPermissionMode": {
    "claude": "yolo",
    "opencode": "yolo"
  },
  "lastCustomModel": "",
  "maxTabs": 3,
  "tabBarPosition": "input",
  "enableAutoScroll": true,
  "openInMainTab": false,
  "hiddenProviderCommands": {}
}